## org.eclipse.amp.amf.abase.ui.contentassist.antlr.internal
Class InternalABaseParser

    java.lang.Object
      org.antlr.runtime.BaseRecognizer
          org.antlr.runtime.Parser
              org.eclipse.xtext.ui.editor.contentassist.antlr.internal.AbstractInternalContentAssistParser
                  org.eclipse.amp.amf.abase.ui.contentassist.antlr.internal.InternalABaseParser

All Implemented Interfaces:
  org.eclipse.xtext.parser.antlr.ITokenDefProvider, org.eclipse.xtext.ui.editor.contentassist.antlr.ObservableXtextTokenStream.StreamListener

    public class InternalABaseParser

extends org.eclipse.xtext.ui.editor.contentassist.antlr.internal.AbstractInternalContentAssistParser

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.xtext.ui.editor.contentassist.antlr.internal.AbstractInternalContentAssistParser
`org.eclipse.xtext.ui.editor.contentassist.antlr.internal.AbstractInternalContentAssistParser.DefaultFollowElementFactory, org.eclipse.xtext.ui.editor.contentassist.antlr.internal.AbstractInternalContentAssistParser.RecoveryListener, org.eclipse.xtext.ui.editor.contentassist.antlr.internal.AbstractInternalContentAssistParser.StreamAdapter`

Field Summary
`static int` `EOF`
`static org.antlr.runtime.BitSet` `FOLLOW_14_in_rule__BOOLEAN__Alternatives490`
`static org.antlr.runtime.BitSet` `FOLLOW_15_in_rule__BOOLEAN__Alternatives511`
`static org.antlr.runtime.BitSet` `FOLLOW_EOF_in_entryRuleBooleanValue308`
`static org.antlr.runtime.BitSet` `FOLLOW_EOF_in_entryRuleIntValue128`
`static org.antlr.runtime.BitSet` `FOLLOW_EOF_in_entryRuleRealValue188`
`static org.antlr.runtime.BitSet` `FOLLOW_EOF_in_entryRuleStringValue248`
`static org.antlr.runtime.BitSet` `FOLLOW_EOF_in_entryRuleValue68`
`static org.antlr.runtime.BitSet` `FOLLOW_rule__BOOLEAN__Alternatives_in_ruleBOOLEAN371`
`static org.antlr.runtime.BitSet` `FOLLOW_rule__BooleanValue__ValueAssignment_in_ruleBooleanValue334`
`static org.antlr.runtime.BitSet` `FOLLOW_rule__IntValue__ValueAssignment_in_ruleIntValue154`
`static org.antlr.runtime.BitSet` `FOLLOW_rule__RealValue__ValueAssignment_in_ruleRealValue214`
`static org.antlr.runtime.BitSet` `FOLLOW_rule__StringValue__ValueAssignment_in_ruleStringValue274`
`static org.antlr.runtime.BitSet` `FOLLOW_rule__Value__Alternatives_in_ruleValue94`
`static org.antlr.runtime.BitSet` `FOLLOW_RULE_INTEGER_in_rule__IntValue__ValueAssignment549`
`static org.antlr.runtime.BitSet` `FOLLOW_RULE_REAL_in_rule__RealValue__ValueAssignment580`
`static org.antlr.runtime.BitSet` `FOLLOW_RULE_STRING_in_rule__StringValue__ValueAssignment611`
`static org.antlr.runtime.BitSet` `FOLLOW_ruleBOOLEAN_in_rule__BooleanValue__ValueAssignment642`
`static org.antlr.runtime.BitSet` `FOLLOW_ruleBooleanValue_in_entryRuleBooleanValue301`
`static org.antlr.runtime.BitSet` `FOLLOW_ruleBooleanValue_in_rule__Value__Alternatives457`
`static org.antlr.runtime.BitSet` `FOLLOW_ruleIntValue_in_entryRuleIntValue121`
`static org.antlr.runtime.BitSet` `FOLLOW_ruleIntValue_in_rule__Value__Alternatives406`
`static org.antlr.runtime.BitSet` `FOLLOW_ruleRealValue_in_entryRuleRealValue181`
`static org.antlr.runtime.BitSet` `FOLLOW_ruleRealValue_in_rule__Value__Alternatives440`
`static org.antlr.runtime.BitSet` `FOLLOW_ruleStringValue_in_entryRuleStringValue241`
`static org.antlr.runtime.BitSet` `FOLLOW_ruleStringValue_in_rule__Value__Alternatives423`
`static org.antlr.runtime.BitSet` `FOLLOW_ruleValue_in_entryRuleValue61`
`static int` `RULE_ANY_OTHER`
`static int` `RULE_DESC_STRING`
`static int` `RULE_ID`
`static int` `RULE_INT`
`static int` `RULE_INTEGER`
`static int` `RULE_ML_COMMENT`
`static int` `RULE_REAL`
`static int` `RULE_SL_COMMENT`
`static int` `RULE_STRING`
`static int` `RULE_WS`
`static int` `T__14`
`static int` `T__15`
`static java.lang.String[]` `tokenNames`

Fields inherited from class org.eclipse.xtext.ui.editor.contentassist.antlr.internal.AbstractInternalContentAssistParser
`currentMarker, delegate, failedPredicateAtEOF, firstMarker, followElementFactory, followElements, grammarElements, indexToHandledElements, inMismatchIsUnwantedToken, localTrace, lookAheadAddOn, marked, mismatch, predictionLevel, recoveryListener, resyncing, stackSize, strict, terminalRules, unorderedGroupHelper, wasErrorCount`

Fields inherited from class org.antlr.runtime.Parser
`input`

Fields inherited from class org.antlr.runtime.BaseRecognizer
`DEFAULT_TOKEN_CHANNEL, HIDDEN, INITIAL_FOLLOW_STACK_SIZE, MEMO_RULE_FAILED, MEMO_RULE_UNKNOWN, NEXT_TOKEN_RULE_NAME, state`

Constructor Summary
`InternalABaseParser(org.antlr.runtime.TokenStream input)`
`InternalABaseParser(org.antlr.runtime.TokenStream input, org.antlr.runtime.RecognizerSharedState state)`

Method Summary
`void` `entryRuleBooleanValue()`
`void` `entryRuleIntValue()`
`void` `entryRuleRealValue()`
`void` `entryRuleStringValue()`
`void` `entryRuleValue()`
`protected org.eclipse.xtext.Grammar` `getGrammar()`
`java.lang.String` `getGrammarFileName()`
`java.lang.String[]` `getTokenNames()`
`protected java.lang.String` `getValueForTokenName(java.lang.String tokenName)`
`void` `rule__BOOLEAN__Alternatives()`
`void` `rule__BooleanValue__ValueAssignment()`
`void` `rule__IntValue__ValueAssignment()`
`void` `rule__RealValue__ValueAssignment()`
`void` `rule__StringValue__ValueAssignment()`
`void` `rule__Value__Alternatives()`
`void` `ruleBOOLEAN()`
`void` `ruleBooleanValue()`
`void` `ruleIntValue()`
`void` `ruleRealValue()`
`void` `ruleStringValue()`
`void` `ruleValue()`
`void` `setGrammarAccess(ABaseGrammarAccess grammarAccess)`

Methods inherited from class org.eclipse.xtext.ui.editor.contentassist.antlr.internal.AbstractInternalContentAssistParser

`after, announceConsume, announceEof, announceMark, announceRewind, before, beginDFAPrediction, beginResync, createErrorRecoveryStrategy, createFollowElement, createLookAheadTerminal, createMismatchStrategy, createNotErrorRecoveryStrategy, createPredictionStrategy, emitErrorMessage, endDFAPrediction, endResync, getCurrentGrammarElement, getFollowElements, getGrammarElements, getLocalTrace, getRecoveryListener, getTokenDefMap, getUnorderedGroupHelper, isDFAPrediction, keepStackSize, mismatchIsMissingToken, mismatchIsUnwantedToken, recover, recoverFromMismatchedToken, restoreStackSize, selectEofStrategy, setRecoveryListener, setStrict, setUnorderedGroupHelper`

Methods inherited from class org.antlr.runtime.Parser
`getCurrentInputSymbol, getMissingSymbol, getSourceName, getTokenStream, reset, setTokenStream, traceIn, traceOut`

Methods inherited from class org.antlr.runtime.BaseRecognizer

`alreadyParsedRule, combineFollows, computeContextSensitiveRuleFOLLOW, computeErrorRecoverySet, consumeUntil, consumeUntil, displayRecognitionError, failed, getBacktrackingLevel, getErrorHeader, getErrorMessage, getNumberOfSyntaxErrors, getRuleInvocationStack, getRuleInvocationStack, getRuleMemoization, getRuleMemoizationCacheSize, getTokenErrorDisplay, match, matchAny, memoize, pushFollow, recoverFromMismatchedSet, reportError, setBacktrackingLevel, toStrings, traceIn, traceOut`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### tokenNames

    public static final java.lang.String[] tokenNames

### RULE_ID

    public static final int RULE_ID

See Also:
  Constant Field Values

### RULE_STRING

    public static final int RULE_STRING

See Also:
  Constant Field Values

### T__15

    public static final int T__15

See Also:
  Constant Field Values

### T__14

    public static final int T__14

See Also:
  Constant Field Values

### RULE_ANY_OTHER

    public static final int RULE_ANY_OTHER

See Also:
  Constant Field Values

### RULE_INT

    public static final int RULE_INT

See Also:
  Constant Field Values

### RULE_REAL

    public static final int RULE_REAL

See Also:
  Constant Field Values

### RULE_WS

    public static final int RULE_WS

See Also:
  Constant Field Values

### RULE_SL_COMMENT

    public static final int RULE_SL_COMMENT

See Also:
  Constant Field Values

### RULE_DESC_STRING

    public static final int RULE_DESC_STRING

See Also:
  Constant Field Values

### EOF

    public static final int EOF

See Also:
  Constant Field Values

### RULE_INTEGER

    public static final int RULE_INTEGER

See Also:
  Constant Field Values

### RULE_ML_COMMENT

    public static final int RULE_ML_COMMENT

See Also:
  Constant Field Values

### FOLLOW_ruleValue_in_entryRuleValue61

    public static final org.antlr.runtime.BitSet FOLLOW_ruleValue_in_entryRuleValue61

### FOLLOW_EOF_in_entryRuleValue68

    public static final org.antlr.runtime.BitSet FOLLOW_EOF_in_entryRuleValue68

### FOLLOW_rule__Value__Alternatives_in_ruleValue94

    public static final org.antlr.runtime.BitSet FOLLOW_rule__Value__Alternatives_in_ruleValue94

### FOLLOW_ruleIntValue_in_entryRuleIntValue121

    public static final org.antlr.runtime.BitSet FOLLOW_ruleIntValue_in_entryRuleIntValue121

### FOLLOW_EOF_in_entryRuleIntValue128

    public static final org.antlr.runtime.BitSet FOLLOW_EOF_in_entryRuleIntValue128

### FOLLOW_rule__IntValue__ValueAssignment_in_ruleIntValue154

    public static final org.antlr.runtime.BitSet FOLLOW_rule__IntValue__ValueAssignment_in_ruleIntValue154

### FOLLOW_ruleRealValue_in_entryRuleRealValue181

    public static final org.antlr.runtime.BitSet FOLLOW_ruleRealValue_in_entryRuleRealValue181

### FOLLOW_EOF_in_entryRuleRealValue188

    public static final org.antlr.runtime.BitSet FOLLOW_EOF_in_entryRuleRealValue188

### FOLLOW_rule__RealValue__ValueAssignment_in_ruleRealValue214

    public static final org.antlr.runtime.BitSet FOLLOW_rule__RealValue__ValueAssignment_in_ruleRealValue214

### FOLLOW_ruleStringValue_in_entryRuleStringValue241

    public static final org.antlr.runtime.BitSet FOLLOW_ruleStringValue_in_entryRuleStringValue241

### FOLLOW_EOF_in_entryRuleStringValue248

    public static final org.antlr.runtime.BitSet FOLLOW_EOF_in_entryRuleStringValue248

### FOLLOW_rule__StringValue__ValueAssignment_in_ruleStringValue274

    public static final org.antlr.runtime.BitSet FOLLOW_rule__StringValue__ValueAssignment_in_ruleStringValue274

### FOLLOW_ruleBooleanValue_in_entryRuleBooleanValue301

    public static final org.antlr.runtime.BitSet FOLLOW_ruleBooleanValue_in_entryRuleBooleanValue301

### FOLLOW_EOF_in_entryRuleBooleanValue308

    public static final org.antlr.runtime.BitSet FOLLOW_EOF_in_entryRuleBooleanValue308

### FOLLOW_rule__BooleanValue__ValueAssignment_in_ruleBooleanValue334

    public static final org.antlr.runtime.BitSet FOLLOW_rule__BooleanValue__ValueAssignment_in_ruleBooleanValue334

### FOLLOW_rule__BOOLEAN__Alternatives_in_ruleBOOLEAN371

    public static final org.antlr.runtime.BitSet FOLLOW_rule__BOOLEAN__Alternatives_in_ruleBOOLEAN371

### FOLLOW_ruleIntValue_in_rule__Value__Alternatives406

    public static final org.antlr.runtime.BitSet FOLLOW_ruleIntValue_in_rule__Value__Alternatives406

### FOLLOW_ruleStringValue_in_rule__Value__Alternatives423

    public static final org.antlr.runtime.BitSet FOLLOW_ruleStringValue_in_rule__Value__Alternatives423

### FOLLOW_ruleRealValue_in_rule__Value__Alternatives440

    public static final org.antlr.runtime.BitSet FOLLOW_ruleRealValue_in_rule__Value__Alternatives440

### FOLLOW_ruleBooleanValue_in_rule__Value__Alternatives457

    public static final org.antlr.runtime.BitSet FOLLOW_ruleBooleanValue_in_rule__Value__Alternatives457

### FOLLOW_14_in_rule__BOOLEAN__Alternatives490

    public static final org.antlr.runtime.BitSet FOLLOW_14_in_rule__BOOLEAN__Alternatives490

### FOLLOW_15_in_rule__BOOLEAN__Alternatives511

    public static final org.antlr.runtime.BitSet FOLLOW_15_in_rule__BOOLEAN__Alternatives511

### FOLLOW_RULE_INTEGER_in_rule__IntValue__ValueAssignment549

    public static final org.antlr.runtime.BitSet FOLLOW_RULE_INTEGER_in_rule__IntValue__ValueAssignment549

### FOLLOW_RULE_REAL_in_rule__RealValue__ValueAssignment580

    public static final org.antlr.runtime.BitSet FOLLOW_RULE_REAL_in_rule__RealValue__ValueAssignment580

### FOLLOW_RULE_STRING_in_rule__StringValue__ValueAssignment611

    public static final org.antlr.runtime.BitSet FOLLOW_RULE_STRING_in_rule__StringValue__ValueAssignment611

### FOLLOW_ruleBOOLEAN_in_rule__BooleanValue__ValueAssignment642

    public static final org.antlr.runtime.BitSet FOLLOW_ruleBOOLEAN_in_rule__BooleanValue__ValueAssignment642

Constructor Detail

### InternalABaseParser

    public InternalABaseParser(org.antlr.runtime.TokenStream input)

### InternalABaseParser

    public InternalABaseParser(org.antlr.runtime.TokenStream input,
                               org.antlr.runtime.RecognizerSharedState state)

Method Detail

### getTokenNames

    public java.lang.String[] getTokenNames()

  Overrides:
    `getTokenNames` in class `org.antlr.runtime.BaseRecognizer`

### getGrammarFileName

    public java.lang.String getGrammarFileName()

  Overrides:
    `getGrammarFileName` in class `org.antlr.runtime.BaseRecognizer`

### setGrammarAccess

    public void setGrammarAccess(ABaseGrammarAccess grammarAccess)

### getGrammar

    protected org.eclipse.xtext.Grammar getGrammar()

  Specified by:
    `getGrammar` in class `org.eclipse.xtext.ui.editor.contentassist.antlr.internal.AbstractInternalContentAssistParser`

### getValueForTokenName

    protected java.lang.String getValueForTokenName(java.lang.String tokenName)

  Overrides:
    `getValueForTokenName` in class `org.eclipse.xtext.ui.editor.contentassist.antlr.internal.AbstractInternalContentAssistParser`

### entryRuleValue

    public final void entryRuleValue()
                              throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### ruleValue

    public final void ruleValue()
                         throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### entryRuleIntValue

    public final void entryRuleIntValue()
                                 throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### ruleIntValue

    public final void ruleIntValue()
                            throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### entryRuleRealValue

    public final void entryRuleRealValue()
                                  throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### ruleRealValue

    public final void ruleRealValue()
                             throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### entryRuleStringValue

    public final void entryRuleStringValue()
                                    throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### ruleStringValue

    public final void ruleStringValue()
                               throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### entryRuleBooleanValue

    public final void entryRuleBooleanValue()
                                     throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### ruleBooleanValue

    public final void ruleBooleanValue()
                                throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### ruleBOOLEAN

    public final void ruleBOOLEAN()
                           throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### rule__Value__Alternatives

    public final void rule__Value__Alternatives()
                                         throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### rule__BOOLEAN__Alternatives

    public final void rule__BOOLEAN__Alternatives()
                                           throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### rule__IntValue__ValueAssignment

    public final void rule__IntValue__ValueAssignment()
                                               throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### rule__RealValue__ValueAssignment

    public final void rule__RealValue__ValueAssignment()
                                                throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### rule__StringValue__ValueAssignment

    public final void rule__StringValue__ValueAssignment()
                                                  throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### rule__BooleanValue__ValueAssignment

    public final void rule__BooleanValue__ValueAssignment()
                                                   throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`